import { P2P } from '@shardeum-foundation/lib-types';
export declare function initProblematicNodeCache(): void;
export declare function updateProblematicNodeCache(cycle: P2P.CycleCreatorTypes.CycleRecord): void;
export declare function rebuildCacheFromCycleChain(): void;
export declare function pruneInactiveNodesFromCache(): void;
export declare function exportProblematicNodeCache(): string | null;
export declare function getProblematicNodes(prevRecord: P2P.CycleCreatorTypes.CycleRecord): string[];
export declare function getRefutePercentage(refuteCycles: number[], currentCycle: number): number;
export declare function getConsecutiveRefutes(refuteCycles: number[], currentCycle: number): number;
